format_version: '1.0'

repository_url: https://github.com/libxsmm/libxsmm

sequence:
  base_version:
    input_file: '88e427d4.zip'
    commit_sha1: 88e427d4692fa378ef2c5e45fd1899c9e5b23524
  fix_attempt:
    - input_file: '53809946.diff'
      commit_sha1: 53809946e895d0a1e927768721e20c4ad63b92aa
    - input_file: '8d50f571.diff'
      commit_sha1: 8d50f571e9d6bfee1f33f4e35a791a43ae2c8bd9
    - input_file: '90593636.diff'
      commit_sha1: 90593636de082842dda1a8b5422c15621b15e05b
    - input_file: 'bbb940aa.diff'
      commit_sha1: bbb940aac3ba4f8e76bcd9cb8d1725b7220689b6
    - input_file: '1d569baa.diff'
      commit_sha1: 1d569baa6d8b916fa459885c96f347ff21c12484
    
  expected_fix:
    input_file: 'cc4fc9c3.diff'
    commit_sha1: cc4fc9c3653d6b41e8635149f3f214953f7837cc

  
classification: partial fix
categories:
  - performance

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/libxsmm/libxsmm/issues/383
